/*
 * Moveable2D.java
 *
 * Created on November 10, 2004, 1:11 PM
 */

package JSciDraw.interfaces;

import JSci.physics.Force;
import JSci.maths.AbstractDoubleVector;
/**
 *
 * @author  amatys
 */
public interface Moveable2D {
    public void calculateForces(double dt);
    public void addExtForce(Force f);
    public void move2D(double dt);
}
